Bug 1287924 - katello-installer should also offer options to configure foreman-proxy settings
katello-installer should also offer options to configure foreman-proxy settings
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.1.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 20:21 EST by jnikolak
Modified: 2016-08-23 12:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-23 12:27:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jnikolak 2015-12-02 20:21:58 EST
1. Proposed title of this feature request  
katello-installer should also offer options to configure foreman-proxy settings

  
I need to configure foreman-proxy to start Puppet runs from Satellite web-ui. Currently I configure /etc/foreman-proxy/settings.d/puppet.yml manually. After every re-run of katello-installer this file will be overridden. 

It would be great if katello-installer would offer such configuration options for foreman-proxy settings during katello-installer run.

2. Who is the customer behind the request?  
Account: name and acct # <- please include both  
RED HAT, INC.

  
TAM customer: no/yes  no
SRM customer: no/yes  no
Strategic: no/yes  no
  
3. What is the nature and description of the request?  

New feature  


4. Why does the customer need this? (List the business requirements here)  

This will save time, without needing to re-apply custom settings.




5. How would the customer like to achieve this? (List the functional requirements here)  
 
n/a 

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
  



7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
 
No

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
  
n/a

9. Is the sales team involved in this request and do they have any additional input?  

yes  

10. List any affected packages or components.  

katello

  
11. Would the customer be able to assist in testing this functionality if implemented? 

Yes
Comment 2 Bryan Kearney 2016-07-08 16:46:26 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 4 Stephen Benjamin 2016-08-23 12:27:47 EDT
This was delivered in 6.2. GA, all foreman-proxy options are now available, including the various puppet run options:

    --foreman-proxy-puppetrun     Enable puppet run/kick feature (default: true)
    --foreman-proxy-puppetrun-cmd  Puppet run/kick command to be allowed in sudoers (default: "/usr/bin/puppet kick")
    --foreman-proxy-puppetrun-listen-on  Puppet run proxy to listen on https, http, or both (default: "https")
    --foreman-proxy-puppetrun-provider  Set puppet_provider to handle puppet run/kick via mcollective (default: nil)

Note You need to log in before you can comment on or make changes to this bug.